%set_verify_elf_method unresolved=relaxed

Name:				ace-of-pinguins-game
Version:			1.3
Release:			alt0
Summary:			ace-of-pinguins - 12 cool & small game :)
Summary(ru_RU.UTF-8): 		ace-of-pinguins - 12 маленьких веселых игрушек в одном флаконе :)
Source:				ace-1.3.tar.gz

Source1:			 ace-canfield.desktop
Source2:			 ace-golf.desktop
Source3:			 ace-merlin.desktop
Source4:			 ace-pegged.desktop
Source5:			 ace-spider.desktop
Source6:			 ace-taipei.desktop
Source7:			 ace-freecell.desktop
Source8:			 ace-mastermind.desktop
Source9:			 ace-minesweeper.desktop
Source10:			 ace-solitaire.desktop
Source11:			 ace-taipedit.desktop
Source12:			 ace-thornq.desktop


URL:				http://www.delorie.com/store/ace
Group:			Game/Other
License:			GPL

BuildRequires: libpng-devel libX11-devel libXpm-devel zlib-devel


%description
ace-of-pinguins - 12 cool & small game :)

Author:
--------
DJ Delorie <dj@delorie.com>
Martin Thornquist
Mark Arrasmith <arrasmith@math.twsu.edu>


%description -l ru_RU.UTF-8
ace-of-pinguins - 12 маленьких веселых игрушек в одном флаконе :)

Author:
--------
DJ Delorie <dj@delorie.com>
Martin Thornquist
Mark Arrasmith <arrasmith@math.twsu.edu>





%prep
%setup -n ace-1.3

%build
./configure --prefix=/usr/  --enable-shared=no
make


%install
mkdir -p %buildroot%_bindir
%makeinstall_std
mkdir -p %buildroot%_datadir/applications/

mkdir -p %buildroot%_datadir/pixmaps/
cp games/pegged-p.png %buildroot%_datadir/pixmaps/ace-of-pinguins.png

install -Dp -m0644 %SOURCE1 %buildroot%_datadir/applications/
install -Dp -m0644 %SOURCE2 %buildroot%_datadir/applications/
install -Dp -m0644 %SOURCE3 %buildroot%_datadir/applications/
install -Dp -m0644 %SOURCE4 %buildroot%_datadir/applications/
install -Dp -m0644 %SOURCE5 %buildroot%_datadir/applications/
install -Dp -m0644 %SOURCE6 %buildroot%_datadir/applications/
install -Dp -m0644 %SOURCE7 %buildroot%_datadir/applications/
install -Dp -m0644 %SOURCE8 %buildroot%_datadir/applications/
install -Dp -m0644 %SOURCE9 %buildroot%_datadir/applications/
install -Dp -m0644 %SOURCE10 %buildroot%_datadir/applications/
#install -Dp -m0644 %SOURCE11 %buildroot%_datadir/applications/
install -Dp -m0644 %SOURCE12 %buildroot%_datadir/applications/

cd %buildroot%_bindir/
for i in `ls` ;do mv $i ace-$i; done




%post

%files
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
%_datadir/applications/*
%_datadir/pixmaps/*
%_libdir/*
